// some methods are imported from
// https://gitlab.gwdg.de/dariah-de/jenkins-shared-library

node {
  def mvnHome

  stage('preparation') {
    mvnHome = tool 'Maven 3.0.4'
    checkout scm
  }

  stage('build') {
    sh "${mvnHome}/bin/mvn --update-snapshots clean package"
  }

  stage('deploy') {
    p2deploy('./core-repository/target/repository', 'core')
    publishHTML (target: [
      allowMissing: false,
      alwaysLinkToLastBuild: false,
      keepAll: false,
      reportDir: './info.textgrid.lab.core.doc/target/reference/api',
      reportFiles: 'index.html',
      reportName: 'Javadoc'
    ])
  }

  stage('notify') {
    notifyTglabDownstream('lab-dictionaries lab-xmleditor')
  }

}
